petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSetVecType

Sets the type of vector created with DMCreateLocalVector() and DMCreateGlobalVector()

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMSetVecType(DM da,VecType ctype)

Logically Collective on DM

### Input Parameter

| da | - initial distributed array
| ctype | - the vector type, currently either VECSTANDARD, VECCUDA, or VECVIENNACL

### Options Database

| -dm_vec_type ctype | -

### See Also

DMCreate(), DMDestroy(), DM, DMDAInterpolationType, VecType, DMGetVecType()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages